import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.FloatWritable;
import org.apache.hadoop.io.Text;

import org.apache.hadoop.mapreduce.lib.input.MultipleInputs;
import org.apache.hadoop.mapreduce.lib.input.KeyValueTextInputFormat;

import org.apache.hadoop.mapreduce.lib.input.FileInputFormat;
import org.apache.hadoop.mapreduce.lib.input.TextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;
import org.apache.hadoop.mapreduce.lib.output.TextOutputFormat;
import org.apache.hadoop.conf.*;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.conf.Configured;
import org.apache.hadoop.util.Tool;
import org.apache.hadoop.util.ToolRunner;
import org.apache.hadoop.util.GenericOptionsParser;
import org.apache.hadoop.conf.*;

  public class SpendingPattern1k0 extends Configured implements Tool {

		@Override
		public int run(String[] args) throws Exception {
			Configuration conf = new Configuration();
			//String remainingArgs[] = new GenericOptionsParser(conf, args).getRemainingArgs();
			//Job job = JobInit.init (this, getConf (), args);
			//if (job == null) {
			//	return -1;
			//}
			Job job = new Job (conf);
			job.setJobName("Spending Pattern: Multiple Inputs");
			job.setJarByClass(SpendingPattern1k0.class);
			//job.setInputFormatClass(TextInputFormat.class);
			//job.setOutputFormatClass(TextOutputFormat.class);
			
		    MultipleInputs.addInputPath (job, new Path(args[0]), TextInputFormat.class,
		    		SpendingPatternMapper.class);
		    MultipleInputs.addInputPath (job, new Path(args[1]), KeyValueTextInputFormat.class,
		    		SpendingPatternMapper1.class);
		    FileOutputFormat.setOutputPath(job, new Path(args[2]));
		    job.setReducerClass(SpendingPatternReducer.class);
			job.setOutputKeyClass(Text.class);
			job.setOutputValueClass(FloatWritable .class);

			return job.waitForCompletion(true) ? 0 : 1;
		}

		public static void main(String[] args) throws Exception {
			int exitCode = ToolRunner.run(new SpendingPattern1k0(), args);
			System.exit(exitCode);
		}
}
