import java.io.IOException;
import java.util.StringTokenizer;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class SpendingPatternMapper1d extends
		Mapper<Text, Text, Text, IntWritable> {

	@Override
	public void map(Text key, Text value, Context context) throws IOException,
			InterruptedException {
		if (!key.toString().contains("PAYMENT")) {
			context.write(key, new IntWritable (1));
		} 
	}
}
